Bug 1035029 - Reviewing installed updates does not work
Summary: Reviewing installed updates does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F20FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2013-11-26 21:39 UTC by Adam Williamson
Modified: 2013-11-29 13:59 UTC (History)
2 users (show)

Fixed In Version: gnome-software-3.10.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-29 13:59:08 UTC


Attachments (Terms of Use)

Description Adam Williamson 2013-11-26 21:39:41 UTC
This is a 'bureaucracy bug' - we already have an update that fixes it, but F20 is now frozen and the update just missed the freeze date, so I'm filing this bug to propose as a freeze exception issue.

With the gnome-software in current Fedora 20 stable, after you do an offline update and boot back to the system, when the notification that some updates were just installed pops up, the 'Review' button doesn't work - it should run gnome-software in a special mode where you can see the recently-installed updates.

https://admin.fedoraproject.org/updates/gnome-software-3.10.4-1.fc20,gnome-settings-daemon-3.10.2-2.fc20 fixes this. I'm proposing this as an FE issue: it's not a critical function but it's fairly visible and it'd be nice if it worked for people after their first update out-of-the-box.

Comment 1 Adam Williamson 2013-11-26 21:40:06 UTC
Richard, could you edit the update and mark it as fixing this bug, for tracking purposes? Thanks!

Comment 2 Fedora Update System 2013-11-27 19:06:49 UTC
gnome-software-3.10.4-1.fc20, gnome-settings-daemon-3.10.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnome-software-3.10.4-1.fc20,gnome-settings-daemon-3.10.2-2.fc20

Comment 3 Adam Williamson 2013-11-27 19:11:12 UTC
Discussed at 2013-11-27 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-11-27/f20-blocker-review-3.2013-11-27-17.01.log.txt . Accepted as a freeze exception issue as outlined in the report.

Comment 4 Fedora Update System 2013-11-29 13:59:08 UTC
gnome-software-3.10.4-1.fc20, gnome-settings-daemon-3.10.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.